> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Presentation



## OpenAPI

````yaml /api-reference/open-source-v0.9.0-beta.json get /api/v1/ppt/presentation/{id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/ppt/presentation/{id}:
    get:
      tags:
        - Presentation
      summary: Get Presentation
      operationId: get_presentation_api_v1_ppt_presentation__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationDetailWithSlides'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PresentationDetailWithSlides:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        content:
          type: string
          title: Content
        n_slides:
          type: integer
          title: N Slides
        language:
          type: string
          title: Language
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        tone:
          anyOf:
            - type: string
            - type: 'null'
          title: Tone
        verbosity:
          anyOf:
            - type: string
            - type: 'null'
          title: Verbosity
        slides:
          items:
            $ref: '#/components/schemas/SlideModel'
          type: array
          title: Slides
        layout:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Layout
        structure:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Structure
        theme:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Theme
        fonts:
          anyOf:
            - {}
            - type: 'null'
          title: Fonts
        merged_components:
          anyOf:
            - {}
            - type: 'null'
          title: Merged Components
      type: object
      required:
        - id
        - content
        - n_slides
        - language
        - created_at
        - updated_at
        - slides
      title: PresentationDetailWithSlides
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        presentation:
          type: string
          format: uuid
          title: Presentation
        layout_group:
          type: string
          title: Layout Group
        layout:
          type: string
          title: Layout
        index:
          type: integer
          title: Index
        content:
          additionalProperties: true
          type: object
          title: Content
        html_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Html Content
        speaker_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Speaker Note
        properties:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Properties
        ui:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Ui
      type: object
      required:
        - presentation
        - layout_group
        - layout
        - index
        - content
        - properties
      title: SlideModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````